//
// gets x values (col 1) and y values (col 2) and
// (optional) sigmas (col 3).
// if col 3, there must be one for each data point value.
//

#include "plotdata.h"

extern int optind;

void get_data(ifstream& ifs, dvec& x, dvec& y, dvec& s)
{
  int k;
  uns n;
  dbl z;                                        // will contain x or y or s
  string line;
  isstream iss;
//  osstream oss;

  for (k = 1; getline(ifs, line); ++k) {
    trimspace(line);
    n = 0;
    iss.clear();                                      // clear state of iss
    iss.str(line);                                   // put the line in iss
    while (iss >> z) {               // while a double (or int) is detected
      ++n;                                // increment over numbers in line
      if (n==1) {
        x.push_back(z);                     // grow the x (x-values) vector
      }
      else if (n==2) {
        y.push_back(z);                     // grow the y (y-values) vector
      }
      else if (n==3) {
        s.push_back(z);            // grow the (optional) s (sigmas) vector
      }
      else {                                                       // n > 3
        err("too many entries in datafile at line no. ", k);
      }
    }
    if ((s.size() != 0) && (s.size() != x.size())) {
      err("error in datafile near line no. ", k);
    }
  }
}
